PIP(1)

NAME
pip - install Python packages

SYNOPSIS

pip [command] [options]

pipX [command] [options]

DESCRIPTION

pip is an alternative Python package installer. It performs the same basic job as easy_install, but with some extra features. It can work with version control repositories (currently only Git, Mercurial, and Bazaar repositories), logs output extensively, and prevents partial installs by downloading all requirements before starting installation.

It has some disadvantages when compared to easy_install. It does not use egg files, although it does preserve egg metadata. Some setuptools features are not yet supported, and some custom setup.py features won´t work.

COMMANDS

The command comes before any options. The following commands are recognized:

help
    Show the help text.

bundle
    Create "bundles" which can be used by pip to install the group of Python packages in multiple places.

freeze
    Write the current list of installed packages to a requirements file, which can be used by pip to reinstall the same set of packages.

install
    Install packages.

unzip
    Unzip an individual package.

zip
    Zip an individual package.

OPTIONS

-h, --help
    Show summary of options.

--version
    Show the version of the program.

-v, --verbose
    Be more verbose.

-q, --quiet
    Be less verbose; suppress unimportant output.

--log=FILENAME
    Log file where a complete (maximum verbosity) record will be kept.

--proxy=PROXY
    Have pip use a proxy server to access sites. This can be specified using "user:password@proxy.server:port" notation. If the password is left out, pip will ask for it.

--exists-action=EXISTS_ACTION
    Default action when a path already exists.Use this option more then one time to specify another action if a certain option is not available, choices: (s)witch, (i)gnore, (w)ipe, (b)ackup

--timeout=TIMEOUT
    Set the timeout for connecting to download sites, in seconds. This defaults to 15 seconds if not given.

AUTHORS

    This manual page was originally written by Jeff Licquia <licquia@debian.org>, later rewritten by Carl Chenet <chaica@debian.org>.

LICENSE

    Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, version 3 or any later version published by the Free Software Foundation.